-- for i = 1, Entity(1):GetNumPoseParameters() do 
--     MsgN(Entity(1):GetPoseParameterName(i))
-- end

if SERVER then 
    util.AddNetworkString("netsend")

    net.Receive("netsend", function()
        MsgN("aim_yaw: " .. net.ReadFloat())
    end)
else
    local value = 10

    MsgN("og: " .. Entity(1):GetPoseParameter("aim_yaw"))

    Entity(1):SetPoseParameter("aim_yaw", 10)
    Entity(1):InvalidateBoneCache()
    
    MsgN("new: " .. value)
    net.Start("netsend")
        net.WriteFloat(value)
    net.SendToServer()
end
